Bug 167535 - Require encryption for ktelnetd
Require encryption for ktelnetd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-04 12:21 EDT by Dax Kelson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.4.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-06 11:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2005-09-04 12:21:26 EDT
Description of problem:

One of the new features of MIT Kerberos v1.4 is the ability to *require* a
kerberos encrypted telnet sessions. Previously this was not possible with ktelnetd.

Please enable this by default in the xinetd config file for ktelnetd.

To /etc/xinetd.d/krb5-telnet

add

server_args     = -e

This will bring the default Fedora config of ktelnetd in sync with kshd.
Comment 1 Dax Kelson 2005-09-04 13:05:09 EDT
Thinking about this more, I have a different proposal that extends how klogin is
already configured.

Today there are two xinetd config files for klogind.

/etc/xinet.d/klogin
/etc/xinet.d/eklogin  (requires encryption with the -e switch)

This way you can chkconfig on which ever one you want. A reasonable and sound
approach.

I propose this same scheme be extended to ktelnetd and kshell. So there exists:

/etc/xinet.d/krb5-telnet
/etc/xinet.d/ekrb5-telnet (requires encryption)
/etc/xinet.d/kshell
/etc/xinet.d/ekshell (requires encryption)
Comment 2 Nalin Dahyabhai 2005-09-06 11:50:58 EDT
That sounds good to me.  Adding to 1.4.2-3.
Comment 3 Nalin Dahyabhai 2005-09-06 11:56:39 EDT
Hrm.  I don't think I'm going to get behind changing the "kshell" service from
encrypted to unencrypted though.  That sounds like a nasty surprise, no matter
how well documented it could be.

Note You need to log in before you can comment on or make changes to this bug.